package com;

import org.springframework.context.annotation.Configuration;
import org.springframework.security.config.annotation.web.builders.HttpSecurity;
import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;

@Configuration
@EnableWebSecurity
public class WebSecurityConfig 
extends WebSecurityConfigurerAdapter 
{

	@Override
    protected void configure(HttpSecurity http) throws Exception {
		http.authorizeRequests()
		.antMatchers("/**")
		.permitAll() //允许所有用户访问所有资源
        .and()
        .csrf().disable(); // 禁用CSRF（防止伪造的跨域攻击）

        super.configure(http);
    }
}
